#ifndef _FILE_SERVICES_H
#define _FILE_SERVICES_H

#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include "simpletools.h"
#include <dirent.h>

#define MAX_PATH 104
#define MAX_ENTRIES 100

extern char dir_entries[MAX_ENTRIES][18];

int init_fs(int do_pin, int clk_pin, int di_pin, int cs_pin);
int create_dir(char *path);
int delete_dir(char *path);
FILE *open_file(char *filename, char *mode);
int close_file(FILE *file_pointer);
size_t write_file(void *ptr, size_t size, size_t count, FILE *file_pointer);
int delete_file(char *filename);
char *get_curr_dir(char *buf, int size);
int set_curr_dir(char *path);
char *path_add_slash(char *path);
bool path_append(char *path, char *more);
void sort();
bool compare_swap(int pos);
int index_dir_entries(char *dir_path);
void print_dir_entries();

#endif /* _FILE_SERVICES_H */